# Copyright 2023 The Pipelines as Code Authors.
# Licensed under the Apache License, Version 2.0.
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: pipelines-as-code-watcher
  namespace: pipelines-as-code
spec:
  template:
    spec:
      containers:
        - name: pac-watcher
          image: example.invalid/pac-watcher:v0
          readinessProbe:
            httpGet:
              path: /live
              port: probes
---
apiVersion: v1
kind: Service
metadata:
  name: pipelines-as-code-watcher
  namespace: pipelines-as-code
